using System;

namespace AVIInfo
{
	/// <summary>
	/// Summary description for Global.
	/// </summary>
	public class Global
	{
		public Global()
		{
			//
			// TODO: Add constructor logic here
			//
		}

        public const int AVIIF_KEYFRAME   = 0x00000010;
        public const int AVIIF_LIST       = 0x00000001;
        public const int AVIIF_NO_TIME    = 0x00000100;
        public const int AVIIF_COMPRESSOR = 0x0FFF0000;

        public const int AVI_INDEX_OF_INDEXES = 0x00;	// when each entry in aIndex array points to an index chunk
        public const int AVI_INDEX_OF_CHUNKS =  0x01;	// when each entry in aIndex array points to a chunk in the file
        public const int AVI_INDEX_IS_DATA =    0x80;	// when each entry is aIndex is really the data

        public const int AVI_INDEX_2FIELD =     0x01;	// when fields within frames are also indexed

        public static string EnsureSlash(string s)
        {
            if (s.Length < 1)
                return "\\";

            if (s[s.Length - 1] != '\\')
                return s + "\\";
            
            return s;
        }
    }
}
